/*	
	Jeff Braun (March 2001)
	email1: yobkadon@hotmail.com
	email2: brauns@und-alum.org
*/


/***************************************************************
class definitions
***************************************************************/
class CApp : public BApplication
{
	public:
		CApp (void);
		virtual void MessageReceived (BMessage *);
	private:
		CApp (const CApp &);
		CApp & operator= (CApp &);
};

class CWindow : public BWindow
{
	public:
		CWindow (BRect);
		virtual void MessageReceived (BMessage *);
		virtual bool QuitRequested ();
	private:
		CWindow (const CWindow &);
		CWindow & operator= (CWindow &);
};

class CView : public BView
{
	public:
						CView (BRect);
		virtual void	AllAttached (void);
		virtual void	MessageReceived (BMessage *);
		virtual void	MouseMoved (BPoint, uint32, const BMessage *);
		virtual void	Pulse (void);
	private:
		CView (const CView &);
		CView & operator= (CView &);
	private:
		BButton *						m_button1;
		BButton *						m_button2;
		BCheckBox *						m_box;
		FastListView<TestListItem> *	m_FLV;
		BMessageRunner * 				m_runner;
};
