/*	
	Jeff Braun (March 2001)
	email1: yobkadon@hotmail.com
	email2: brauns@und-alum.org
*/

#include <Rect.h> 

class BView; 

class TestListItem
{
	public: 
                                TestListItem ();
		virtual					~TestListItem (void);

		float			Height (void) const;
		float			Width (void) const;
		bool			IsSelected (void) const;
		void			Select (void);
		void			Deselect (void);

		virtual void	SetEnabled (bool on);
		bool			IsEnabled (void) const;

		void			SetHeight (float height);
		void			SetWidth (float width);
		virtual void	DrawItem (BView *owner, BRect bounds, BRect *, int32, bool complete = false);
	private: 
						TestListItem (const TestListItem &);
		TestListItem &	operator= (const TestListItem &);

		char *			m_pchar;
		float           fWidth;
		float           fHeight;
		bool            fSelected;
		bool            fEnabled;
		static uint64	m_count;
}; 


